Public Member Functions | Data Fields

# StoryPage Struct Reference

Struct about stories, current and completed. More...

`#include <story_base.h>`

Inheritance diagram for StoryPage:

## Public Member Functions
| StoryPage ()
| We need an (empty) constructor so struct isn't zeroed (as C++ standard states).
| ~StoryPage ()
| (Empty) destructor has to be defined else operator delete might be called with NULL parameter
## Data Fields
uint32 | sort_value
| A number that increases for every created story page. Used for sorting. The id of a story page is the pool index.
Date | date
| Date when the page was created.
CompanyByte | company
| StoryPage is for a specific company; INVALID_COMPANY if it is global.
char * | title
| Title of story page.

## Detailed Description

Struct about stories, current and completed.

Definition at line 70 of file story_base.h.

The documentation for this struct was generated from the following file:

- src/story_base.h